
/***  global function prototypes ***/

extern BUFFER *STD bfind(char *, int, int);
extern BUFFER *STD getcbuf(char *, char *, int);
extern CDECL mlwrite(char *, ...);
extern char *REG bytecopy(char *, char *, int);
extern char *REG fixnull(char *);
extern char *STD flook(char *, int);
extern char *STD getfname(KEYTAB *);
extern char *REG getval(char *);
extern char *STD complete(char *, char *, int, int, int);
extern char *REG gtusr(char *);
extern char *REG int_asc(int);
extern char *STD makename(char *, char *);
extern char *REG mklower(char *);
extern char *REG mkupper(char *);
extern char *STD timeset(void);
extern char *REG token(char *, char *, int);
extern char *STD regtostr(char *, REGION *);
extern char REG lowerc(char);
extern char REG upperc(char);
extern int (STD *STD fncmatch(char *))(int, int);
extern int REG asc_int(char *);
extern int lowercase(char *);
extern int STD eq(register int, register int);
extern int REG ernd(void);
extern int STD execkey(KEYTAB *, int, int);
extern int REG gettyp(char *);
extern int REG isletter(register unsigned int);
extern int REG islower(register unsigned int);
extern int REG isupper(register unsigned int);
extern int STD lookup_color(char *);
extern int STD qreplace(int, int);
extern int STD reglines(void);
extern int STD scanner(int, int, int);
extern int STD setvar(int, int);
extern int REG sindex(char *, char *);
extern int STD sreplace(int, int);
extern int REG stol(char *);
extern int STD tgetc(void);
extern int uppercase(char *);
extern KEYTAB *getbind(int);
extern LINE *STD lalloc(int);
extern STD ansikey(int, int);
extern STD anycb(void);
extern int STD forwsearch(int, int);
extern int STD backsearch(int, int);
extern STD backchar(int, int);
extern STD backline(int, int);
extern STD backpage(register int, register int);
extern STD bclear(register BUFFER *);
extern REG binary(char *, char *(*)(int), int);
extern STD capword(int, int);
extern STD cex(int, int);
extern STD clrmes(int, int);
extern STD cmdstr(int, char *);
extern STD copyregion(int, int);
extern STD ctlxe(int, int);
extern STD ctlxlp(int, int);
extern STD ctlxrp(int, int);
extern STD ctrlg(int, int);
extern STD ctoec(int);
extern STD delbword(int, int);
extern STD delfword(int, int);
extern STD delgmode(int, int);
extern STD delmode(int, int);
extern STD delwind(int, int);
extern REG dobuf(BUFFER *);
extern REG docmd(char *);
extern REG dofile(char *);
extern int   STD bindtokey(int, int);
extern int STD deblank(int, int);
extern STD backdel(int, int);
extern STD backword(int, int);
extern STD endword(int, int);
extern STD execbuf(int, int);
extern STD execcmd(int, int);
extern STD execfile(int, int);
extern STD execprg(int, int);
extern STD execproc(int, int);
extern STD ffclose(void);
extern STD ffgetline(void);
extern STD ffputline(char *, int);
extern STD ffropen(char *);
extern STD ffwopen(char *, char *);
extern STD filefind(int, int);
extern STD fileread(int, int);
extern STD filesave(int, int);
extern STD filewrite(int, int);
extern STD fillpara(int, int);
extern STD autofillpara(int, int);
extern STD forwchar(int, int);
extern STD forwdel(int, int);
extern STD forwline(int, int);
extern STD forwpage(int, int);
extern STD forwword(int, int);
extern STD getccol(int);
extern STD getcmd(void);
extern STD getkey(void);
extern STD getlinenum(BUFFER *, LINE *);
extern STD getregion(REGION *);
extern STD getstring(char *, char *, int, int);
extern STD gotobob(int, int);
extern STD gotobol(int, int);
extern STD gotobop(int, int);
extern STD gotoeob(int, int);
extern STD gotoeol(int, int);
extern STD gotoeop(int, int);
extern STD gotoline(int, int);
extern STD gotomark(int, int);
extern STD greet(int, int);
extern STD ifile(char *);
extern STD indent_region(int, int);
extern STD insfile(int, int);
extern STD insspace(int, int);
extern STD inword(void);
extern STD istring(int, int);
extern STD kdelete(void);
extern STD killbuffer(int, int);
extern STD killregion(int, int);
extern STD killtext(int, int);
extern STD kinsert(int, char);
extern STD lchange(register int);
extern STD ldelete(long, int);
extern STD lfree(LINE *);
extern STD linsert(int, char);
extern STD linstr(char *);
extern STD lnewline(void);
extern STD lsoftline(void);
extern STD lover(char *ostr);
extern STD lowerregion(int, int);
extern STD lowerword(int, int);
extern REG macarg(char *);
extern STD macrotokey(int, int);
extern REG meexit(int);
extern STD meta(int, int);
extern REG mlerase(void);
extern REG mlforce(char *);
extern REG mlout(int);
extern STD mlreply(char *, char *, int);
extern STD mltreply(char *, char *, int, int);
extern STD mlyesno(char *);
extern REG movecursor(int, int);
extern STD mvdnwind(int, int);
extern STD mvupwind(int, int);
extern STD namebuffer(int, int);
extern STD newline(int, int);
extern REG nextarg(char *, char *, int, int);
extern STD nextbuffer(int, int);
extern STD nextwind(int, int);
extern STD nullproc(int, int);
extern STD onlywind(int, int);
extern STD openline(int, int);
extern STD outstring(char *);
extern STD ovstring(int, int);
extern STD prevwind(int, int);
extern STD quickexit(int, int);
extern STD quit(int, int);
extern STD quote(int, int);
extern REG rdonly(void);
extern STD readin(char *, int);
extern STD wrapreadin(char *, int);
extern STD refresh(int, int);
extern STD remmark(int, int);
extern STD reposition(int, int);
extern STD resize(int, int);
extern REG resterr(void);
extern STD setfillcol(int, int);
extern STD setgmode(int, int);
extern void STD setjtable(void);
extern STD setmark(int, int);
extern STD setmod(int, int);
extern STD splitwind(int, int);
extern STD startup(char *);
extern STD storemac(int, int);
extern STD storeproc(int, int);
extern STD swapmark(int, int);
extern STD swbuffer(BUFFER *);
extern STD tab(int, int);
extern STD trim(int, int);
extern STD ttclose(void);
extern STD ttflush(void);
extern STD ttgetc(void);
extern STD ttopen(void);
extern STD ttputc(int);
extern STD twiddle(int, int);
extern STD unbindkey(int, int);
extern STD undent_region(int, int);
extern STD unmark(int, int);
extern REG update(int);
extern STD usebuffer(int, int);
extern STD typahead(void);
extern REG upmode(void);
extern STD upperregion(int, int);
extern STD upperword(int, int);
extern STD upscreen(int, int);
extern REG upwind(void);
extern REG varinit(void);
extern STD viewfile(int, int);
extern REG vtinit(void);
extern STD wrapword(int, int);
extern STD writemsg(int, int);
extern STD yank(int, int);
extern STD zotbuf(register BUFFER *);
extern unsigned int STD stock(char *);

#include <stdlib.h>

REG xenoyesno(char *, int, int, char *);
void REG newsubject(char *);
void REG newrecipient(char *);
void REG newzno(char *);
void REG newzyes(char *);
void REG newpromptstring(char **, char *);
void REG xeno_exit(int);
void REG xeno_readquote(void);
int STD msg_area(int, int);
int STD quotemsg(int, int);
int STD opts(int, int);
int STD not_implemented(int, int);
int REG isaquote(char *);
REG dlgsave(char *);
REG xeno_init(void);
int REG xenorequest(char *, char *, int);
BUFFER *init_xenorc(void);
void ttputs(char *);
char *dlg_to(void);
char *dlg_from(void);
char *dlg_subject(void);
short dlg_edit_type(void);
char *dlg_hdr_type(void);
short dlg_hdrstyle(void);
char *dlg_get_filename(void);

// added for ScreenEdit 2.0
extern STD dummy1(int, int);

void do_fortune(void);
int STD who(int, int);
void exec_user_opts(void);

int getdlgstring(char*,char*,char*);
extern void h_instr(char *);
extern char *dest_address(void);

extern int uunecessary(char *);
extern int uuencode(char *, char *);
extern int game_over(void);
extern int xenospell(int, int);

